<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSdpTransparencyProfileReq StructType
 * @subpackage Structs
 */
class AddSdpTransparencyProfileReq extends APIRequest
{
    /**
     * The sdpTransparencyProfile
     * @var XSdpTransparencyProfile
     */
    public $sdpTransparencyProfile;
    /**
     * Constructor method for AddSdpTransparencyProfileReq
     * @uses AddSdpTransparencyProfileReq::setSdpTransparencyProfile()
     * @param XSdpTransparencyProfile $sdpTransparencyProfile
     */
    public function __construct(XSdpTransparencyProfile $sdpTransparencyProfile = null)
    {
        $this
            ->setSdpTransparencyProfile($sdpTransparencyProfile);
    }
    /**
     * Get sdpTransparencyProfile value
     * @return XSdpTransparencyProfile|null
     */
    public function getSdpTransparencyProfile()
    {
        return $this->sdpTransparencyProfile;
    }
    /**
     * Set sdpTransparencyProfile value
     * @param XSdpTransparencyProfile $sdpTransparencyProfile
     * @return AddSdpTransparencyProfileReq
     */
    public function setSdpTransparencyProfile(XSdpTransparencyProfile $sdpTransparencyProfile = null)
    {
        $this->sdpTransparencyProfile = $sdpTransparencyProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSdpTransparencyProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
